%define module	fido2

Name:		python-%{module}
Version:	0.9.3
Release:	%mkrel 2
Summary:	Library for FIDO 2.0, including communication with a device over USB
Group:		Development/Python
License:	BSD-like, ASL 2.0, MPLv2.0
URL:		https://github.com/Yubico/python-fido2
Source0:	https://github.com/Yubico/python-fido2/releases/download/%{version}/fido2-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	python3-setuptools

%description
Provides library functionality for communicating with a FIDO device over USB as
well as verifying attestation and assertion signatures.

This library aims to support the FIDO U2F and FIDO 2.0 protocols for
communicating with a USB authenticator via the Client-to-Authenticator Protocol
(CTAP 1 and 2). In addition to this low-level device access, classes defined in
the `fido2.client` and `fido2.server` modules implement higher level operations
which are useful when interfacing with an Authenticator, or when implementing
WebAuthn support for a Relying Party.

%package -n python3-%{module}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Provides library functionality for communicating with a FIDO device over USB as
well as verifying attestation and assertion signatures.

This library aims to support the FIDO U2F and FIDO 2.0 protocols for
communicating with a USB authenticator via the Client-to-Authenticator Protocol
(CTAP 1 and 2). In addition to this low-level device access, classes defined in
the `fido2.client` and `fido2.server` modules implement higher level operations
which are useful when interfacing with an Authenticator, or when implementing
WebAuthn support for a Relying Party.

%prep
%setup -q -n %{module}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%{python3_sitelib}/%{module}*

%changelog
* Wed Jun 29 2022 TerryN <terryn94 at gmail.com> 0.9.3-2pclos2022
- rebuild for python 3.10

* Sat Jun 26 2022 tex - 0.9.3-1pclos2022
- create package
